<template>
    <div class="mt-5">
        <h1 class="mb-4">Artistas que confían en nuestros productos</h1>

        <div class="card-columns justify-content-center">
            <div class="card hvrbox text-center" v-for="artist in artists">
                <img class="card-img-top" :src="artist.image_url" :alt="artist.name" />
                <div class="hvrbox-layer_top">
                    <div class="hvrbox-text">
                        <div class="mb-2">{{ artist.name }}</div>
                        <div><small>{{ artist.reference }}</small></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<style lang="scss" scoped>
    .card {
        border: none;
    }

    .hvrbox {
        box-sizing: border-box;
        position: relative;
        display: inline-block;
        overflow: hidden;
        max-width: 100%;
        height: auto;
        * {
            box-sizing: border-box;
        }
        img {
            max-width: 100%;
        }
        .hvrbox-layer_bottom {
            display: block;
        }
        .hvrbox-layer_top {
            opacity: 0;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.6);
            color: #fff;
            padding: 15px;
            -moz-transition: all 0.4s ease-in-out 0s;
            -webkit-transition: all 0.4s ease-in-out 0s;
            -ms-transition: all 0.4s ease-in-out 0s;
            transition: all 0.4s ease-in-out 0s;
        }
        .hvrbox-text {
            text-align: center;
            font-size: 18px;
            line-height: 1em;
            display: inline-block;
            position: absolute;
            top: 50%;
            left: 50%;
            -moz-transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
        }
        .hvrbox-text_mobile {
            font-size: 15px;
            border-top: 1px solid rgb(179, 179, 179); /* for old browsers */
            border-top: 1px solid rgba(179, 179, 179, 0.7);
            margin-top: 5px;
            padding-top: 2px;
            display: none;
        }
    }
    .hvrbox:hover .hvrbox-layer_top,
    .hvrbox.active .hvrbox-layer_top {
        opacity: 1;
    }
    .hvrbox.active .hvrbox-text_mobile {
        display: block;
    }
</style>

<script>
    export default {
        props: {
            artists: {
                type: Array,
                required: true
            }
        }
    }
</script>
